package com.ruoyi.system.mapper;

import com.ruoyi.common.core.domain.entity.ShareInfo;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-19
 */
public interface ShareInfoMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public ShareInfo selectShareInfoById(String id);
    
    /**
     * 根据音乐ID查询分享信息
     * 
     * @param musicId 音乐ID
     * @return 分享信息
     */
    public ShareInfo selectShareInfoByMusicId(String musicId);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param shareInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<ShareInfo> selectShareInfoList(ShareInfo shareInfo);


    public List<ShareInfo> selectShareInfoListPage(ShareInfo shareInfo);
    /**
     * 新增【请填写功能名称】
     * 
     * @param shareInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertShareInfo(ShareInfo shareInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param shareInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateShareInfo(ShareInfo shareInfo);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteShareInfoById(String id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShareInfoByIds(String[] ids);
}
